CRUX

Welcome to CRUX bug tracking.
Tasklist

FS#1917 - duktape build causes polkit start error

Attached to Project: CRUX
Opened by Daryl Fonseca-Holt (wyatt) - Saturday, 24 September 2022, 14:41 GMT
Last edited by Tim Biermann (tb) - Wednesday, 28 September 2022, 07:07 GMT
Task Type Bug Report
Category ports
Status Closed
Assigned To Tim Biermann (tb)
Operating System CRUX
Severity Medium
Priority Normal
Reported Version 3.6
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

duktape lacks -lm linker flag a build time. polkitd fails to start. Reproduce:

# /usr/lib/polkit-1/polkitd
Successfully changed to user polkitd
/usr/lib/polkit-1/polkitd: symbol lookup error: /usr/lib/libduktape.so.207: undefined symbol: __fpclassify

Also, only one make is needed in the Pkgfile.

See attached patch
This task depends upon

Closed by  Tim Biermann (tb)
Wednesday, 28 September 2022, 07:07 GMT
Reason for closing:  Works for me
Additional comments about closing:  Can't reproduce.
Comment by Tim Biermann (tb) - Saturday, 24 September 2022, 14:50 GMT
bash-5.1# /etc/rc.d/dbus start
bash-5.1# /usr/lib/polkit-1/polkitd
Successfully changed to user polkitd
Error loading /var/run/ConsoleKit/database: Error statting file /var/run/ConsoleKit/database: No such file or directory16:49:09.458: Loading rules from directory /etc/polkit-1/rules.d
16:49:09.458: Loading rules from directory /usr/share/polkit-1/rules.d
16:49:09.459: Finished loading, compiling and executing 1 rules
Entering main event loop
Connected to the system bus
16:49:09.459: Acquired the name org.freedesktop.PolicyKit1 on the system bus

I can't reproduce this.
Comment by Daryl Fonseca-Holt (wyatt) - Sunday, 25 September 2022, 00:00 GMT
Interesting. __fpclassify is called internally by macros in math.h under certain conditions or is not used in favor of built-in code. duktape tries to navigate the vagaries of different platform (BSD flavors, Solaris, AIX, Linux, etc) to handle the support. For some reason it is confused on my system and is trying to invoke __fpclassify from the math library /usr/lib/libm. I will continue to investigate how this can happen.

I suspect it is some other port I have installed on my system that is interfering.
Comment by Daryl Fonseca-Holt (wyatt) - Sunday, 25 September 2022, 00:08 GMT
Do you have mozjs91 installed where trying to repoduce the problem? There is a test in polkit's Pkgfile that will change the build behaviour and maybe it is not even using duktape.
Comment by Tim Biermann (tb) - Sunday, 25 September 2022, 00:11 GMT
I don't have mozjs91 installed.
Comment by Tim Biermann (tb) - Tuesday, 27 September 2022, 20:46 GMT
I am tending towards closing it as non reproducible as I still wasn't able to hit the same error.
I've asked on IRC as well, and Matt tried it out and also wasn't able to reproduce.

It seems like your error might be somewhere else. Have you altered the FLAGS? Do you overlay any ports by any chance? Do you have mozjs installed in one or the other version? Any other significant changes?
Comment by Daryl Fonseca-Holt (wyatt) - Wednesday, 28 September 2022, 06:40 GMT
No flags changes, no ports overlayed, no version of mozjs installed.

I agree, since I seem to be the only one affected please close this.

If I ever find out what the cause is I will let you know.

Tnanks.
Comment by Tim Biermann (tb) - Wednesday, 28 September 2022, 07:07 GMT
Okay, thanks for understanding and please do inform us about what you found out.

Loading...